package weka.clusterers.forMetisMQI;

public class Node {
	
	private String id;
	
	public Node(String id) {
		this.id = id;
	}
	
	@Override
	public boolean equals(Object o) {
		return (o instanceof Node) && (((Node)o).getId().equals(id));
	}
	
	@Override
	public int hashCode() {
		int hash = 1;
		hash = hash * 31 + id.hashCode();
		return hash;
	}

	public String getId() {
		return id;
	}
	
	@Override
	public String toString() {
		return "N" + id;
	}

}
